extends Control


func _on_color_rect_tl_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_resize(DisplayServer.WINDOW_EDGE_TOP_LEFT, DisplayServer.MAIN_WINDOW_ID)


func _on_color_rect_t_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_resize(DisplayServer.WINDOW_EDGE_TOP, DisplayServer.MAIN_WINDOW_ID)


func _on_color_rect_tr_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_resize(DisplayServer.WINDOW_EDGE_TOP_RIGHT, DisplayServer.MAIN_WINDOW_ID)


func _on_color_rect_l_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_resize(DisplayServer.WINDOW_EDGE_LEFT, DisplayServer.MAIN_WINDOW_ID)


func _on_color_rect_r_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_resize(DisplayServer.WINDOW_EDGE_RIGHT, DisplayServer.MAIN_WINDOW_ID)


func _on_color_rect_bl_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_resize(DisplayServer.WINDOW_EDGE_BOTTOM_LEFT, DisplayServer.MAIN_WINDOW_ID)


func _on_color_rect_br_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_resize(DisplayServer.WINDOW_EDGE_BOTTOM_RIGHT, DisplayServer.MAIN_WINDOW_ID)


func _on_color_rect_b_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_resize(DisplayServer.WINDOW_EDGE_BOTTOM, DisplayServer.MAIN_WINDOW_ID)


func _on_color_rect_mo_gui_input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		DisplayServer.window_start_drag(DisplayServer.MAIN_WINDOW_ID)


func _on_check_button_toggled(toggled_on: bool) -> void:
	get_window().borderless = toggled_on
